from npsemrel.carrot import domains

'''
Klasa do reprezentacji synsetu 
(ogolnej wizji, chwilowo nie zawiera zestawienia jednostek leksyjalnych)
'''
class Synset:
	def __init__(self, syn_id, syn_str, syn_sensenum):
		self._syn_id = syn_id
		self._syn_str = syn_str
		self._syn_sensenum = syn_sensenum
		self._syn_lex_units_strs = None
		self._domain = None
		self._pos_str = None
	
	def set_syn_lex_units_strs(self, syn_lex_units_strs):
		self._syn_lex_units_strs = syn_lex_units_strs
	
	def syn_id(self):
		return self._syn_id

	def syn_str(self):
		return self._syn_str

	def syn_domain(self):
		return self._domain

	def syn_domain_str(self):
		return domains.DOMAINS.get(self.syn_domain(), '?')

	def syn_sensenum(self):
		return self._syn_sensenum
	
	def syn_lex_units_strs(self):
		return self.syn_lex_units_strs

	def pos_str(self):
		return self._pos_str
